%define upstream_name    Crypt-Password-Util
%define upstream_version 0.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Crypt password utilities
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Sort::Versions)
BuildRequires: perl(Test::More)
BuildRequires: perl(UUID::Random::Patch::UseMRS)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Bytes::Random::Secure)
BuildArch: noarch

%description
Crypt password utilities

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes LICENSE META.json META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.170.0-2.mga6
+ Revision: 1024559
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 guillomovitch <guillomovitch> 0.170.0-1.mga6
+ Revision: 932541
- new version 0.17

* Sun Jun 21 2015 sander85 <sander85> 0.120.0-1.mga6
+ Revision: 838525
- update to 0.12

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-3.mga5
+ Revision: 747662
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-2.mga5
+ Revision: 684052
- Mageia 5 Mass Rebuild

* Tue Jul 29 2014 guillomovitch <guillomovitch> 0.90.0-1.mga5
+ Revision: 658057
- imported package perl-Crypt-Password-Util


* Tue Jul 29 2014 cpan2dist 0.09-1mga
- initial mageia release, generated with cpan2dist
